
From: Hal Rosenstock <halr@voltaire.com>

Eliminate unneeded and misleading comments

Signed-off-by: Hal Rosenstock <halr@voltaire.com>
Signed-off-by: Roland Dreier <roland@topspin.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/infiniband/core/agent.c |    2 --
 25-akpm/drivers/infiniband/core/mad.c   |    1 -
 2 files changed, 3 deletions(-)

diff -puN drivers/infiniband/core/agent.c~ib-remove-incorrect-comments drivers/infiniband/core/agent.c
--- 25/drivers/infiniband/core/agent.c~ib-remove-incorrect-comments	Fri Apr  1 13:53:43 2005
+++ 25-akpm/drivers/infiniband/core/agent.c	Fri Apr  1 13:53:43 2005
@@ -129,7 +129,6 @@ static int agent_mad_send(struct ib_mad_
 		goto out;
 	agent_send_wr->mad = mad_priv;
 
-	/* PCI mapping */
 	gather_list.addr = dma_map_single(mad_agent->device->dma_device,
 					  &mad_priv->mad,
 					  sizeof(mad_priv->mad),
@@ -261,7 +260,6 @@ static void agent_send_handler(struct ib
 	list_del(&agent_send_wr->send_list);
 	spin_unlock_irqrestore(&port_priv->send_list_lock, flags);
 
-	/* Unmap PCI */
 	dma_unmap_single(mad_agent->device->dma_device,
 			 pci_unmap_addr(agent_send_wr, mapping),
 			 sizeof(agent_send_wr->mad->mad),
diff -puN drivers/infiniband/core/mad.c~ib-remove-incorrect-comments drivers/infiniband/core/mad.c
--- 25/drivers/infiniband/core/mad.c~ib-remove-incorrect-comments	Fri Apr  1 13:53:43 2005
+++ 25-akpm/drivers/infiniband/core/mad.c	Fri Apr  1 13:53:43 2005
@@ -2283,7 +2283,6 @@ static void cleanup_recv_queue(struct ib
 		/* Remove from posted receive MAD list */
 		list_del(&mad_list->list);
 
-		/* Undo PCI mapping */
 		dma_unmap_single(qp_info->port_priv->device->dma_device,
 				 pci_unmap_addr(&recv->header, mapping),
 				 sizeof(struct ib_mad_private) -
_
